<?php

namespace Drupal\ekan_visuals\Plugin\EkanVisualisation;

use Drupal\Component\Plugin\PluginBase;
use Drupal\Core\Access\AccessResult;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Session\AccountInterface;

/**
 * Base class for Ekan Visualisation plugins.
 */
abstract class EkanVisualisationBase extends PluginBase implements EkanVisualisationInterface {

  /**
   * {@inheritdoc}
   */
  public function settingsForm(array $form, FormStateInterface $form_state) {
    $elements['show_on_dataset'] = [
      '#title' => t('Show this visualisation on dataset'),
      '#type' => 'checkbox',
      '#description' => t("Tick if you want to display this visualisation on related landing page(s) of the dataset(s)."),
      '#default_value' => FALSE,
    ];
    return $elements;
  }

  /**
   * Checks the access for visualisation plugin.
   */
  public function visualisationAccess(AccountInterface $account) {
    // By default, allow access.
    return AccessResult::allowed();
  }

}
